MP4(3)

NAME

MP4Modify - Modify an existing mp4 file

SYNTAX

#include <mp4.h>

MP4FileHandle MP4Modify(
    const char* fileName,
    u_int32_t verbosity = 0,
    u_int32_t flags = 0
);

ARGUMENTS

fileName
    Specifies the path name of the file to be modified.

verbosity
    Specifies a bitmask of diagnostic details the library should print to stdout during its functioning. See MP4SetVerbosity() for values.

flags
    Currently ignored.

RETURN VALUES

Upon successful completion the function returns a handle to the mp4 file. This is used in subsequent calls to the library to modify the file. Upon an error, MP4_INVALID_FILE_HANDLE is returned.

DESCRIPTION

MP4Modify is the first call that should be used when you want to modify an existing mp4 file. It is roughly equivalent to opening a file in read/write mode.

Since modifications to an existing mp4 file can result in a sub-optimal file layout, you may want to use MP4Optimize() after you have modified and closed the mp4 file.

SEE ALSO

MP4(3)